'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-399a4a13.js');
const utils = require('./utils-311c1b40.js');

const calendarCss = ".ibk-calendar{box-sizing:border-box;color:var(--grayText);width:330px;display:inline-block}.ibk-calendar *{box-sizing:border-box}.ibk-calendar__label{font-family:var(--fontGeometria);font-size:14px;padding-bottom:5px;display:block;font-weight:500;color:var(--gray1)}.ibk-calendar__subtitle{font-family:var(--fontMontserrat);color:var(--grayText);font-size:14px;font-weight:500;padding-bottom:7px;display:block}.ibk-calendar__selector{border:1px solid var(--gray4);border-radius:4px;height:48px;display:inline-flex;align-items:center;cursor:pointer;transition:var(--fast);width:100%;background-color:white}.ibk-calendar__selector:hover{border-color:var(--gray3)}.ibk-calendar__input{appearance:none;-webkit-appearance:none;-moz-appearance:none;border:none;font-family:var(--fontGeometria);font-weight:500;font-size:16px;height:100%;pointer-events:none;padding:0 5px;outline:none;width:100%}.ibk-calendar__input::placeholder{color:var(--gray2);font-weight:400}.ibk-calendar__icon{font-size:20px;color:var(--primaryGreen1);padding:0 10px 0 15px;pointer-events:none}.ibk-calendar__arrow{padding:0 15px;color:var(--primaryGreen1);font-size:6px;pointer-events:none;text-align:center;transition:var(--fast)}.ibk-calendar__dates{position:absolute;border:1px solid var(--gray4);border-radius:4px;z-index:1;background-color:white}.ibk-calendar__range-selector{display:flex;align-items:center;justify-content:space-between;margin:20px 20px 0 20px;border:1px solid var(--gray4);border-radius:4px}.ibk-calendar__range-selector__button{width:calc(100% / 3);appearance:none;-webkit-appearance:none;-moz-appearance:none;background-color:transparent;border:none;height:46px;color:var(--gray2);font-family:var(--fontGeometria);font-size:16px;cursor:pointer;transition:var(--fast);border-radius:2px;outline:none;position:relative}.ibk-calendar__range-selector__button:not(.ibk-calendar__range-selector__button--selected):hover{background-color:var(--gray5)}.ibk-calendar__range-selector__button:nth-child(2)::before,.ibk-calendar__range-selector__button:nth-child(2)::after{content:'';display:block;height:100%;width:1px;background-color:var(--gray4);position:absolute;top:0;z-index:1}.ibk-calendar__range-selector__button:nth-child(2)::before{left:0}.ibk-calendar__range-selector__button:nth-child(2)::after{right:0}.ibk-calendar__range-selector__button--selected{background-color:var(--primaryGreen1);color:white;font-weight:500;-webkit-box-shadow:0px 0px 0px 1px var(--primaryGreen1);-moz-box-shadow:0px 0px 0px 1px var(--primaryGreen1);box-shadow:0px 0px 0px 1px var(--primaryGreen1);z-index:1}.ibk-calendar__range-selector__button--selected:nth-child(2)::before,.ibk-calendar__range-selector__button--selected:nth-child(2)::after{background-color:var(--primaryGreen1)}.ibk-calendar__months{display:flex;align-items:flex-start}.ibk-calendar__month{padding:20px;display:inline-block}.ibk-calendar__month-name{font-family:var(--fontMontserrat);font-size:14px;display:block;text-align:center;margin-bottom:20px;font-weight:500;position:relative}.ibk-calendar__month-arrow{position:absolute;font-size:10px;color:var(--primaryGreen1);cursor:pointer;width:30px;height:16px;display:inline-flex;align-items:center;justify-content:center;padding-top:2px}.ibk-calendar__month-arrow.icon-xs-arrow-left{left:0}.ibk-calendar__month-arrow.icon-xs-arrow-right{right:0}.ibk-calendar__month-arrow:active{transform:translateY(1px)}.ibk-calendar__day-name{font-family:var(--fontGeometria);font-size:12px;color:var(--gray2);font-weight:500;display:inline-flex;align-items:center;justify-content:center;width:44px;height:30px;text-align:center;cursor:default}.ibk-calendar__days{display:flex;align-items:center}.ibk-calendar__days:not(:last-child){margin-bottom:3px}.ibk-calendar__day-number{font-family:var(--fontGeometria);font-size:13px;display:inline-flex;height:44px;width:44px;align-items:center;justify-content:center;font-weight:500;cursor:pointer;border-radius:50%;transition:background-color var(--fast);user-select:none;background-color:transparent;border:none;appearance:none;-webkit-appearance:none;-moz-appearance:none;outline:none;position:relative}.ibk-calendar__day-number__text{z-index:1}.ibk-calendar__day-number:not(.ibk-calendar__day-number--selected):hover{background-color:var(--gray4)}.ibk-calendar__day-number:active{transform:translateY(1px)}.ibk-calendar__day-number--disabled{pointer-events:none;color:var(--gray3)}.ibk-calendar__day-number--range::before{content:'';position:absolute;height:100%;width:100%;background-color:#f7f7f7;z-index:-1}.ibk-calendar__day-number--range:first-child:before{border-radius:4px 0 0 4px}.ibk-calendar__day-number--range:last-child:not(.ibk-calendar__day-number--shadow-out):before{border-radius:0 4px 4px 0}.ibk-calendar__day-number--selected{background-color:var(--grayText);color:white;font-size:14px;border-radius:50%}.ibk-calendar__day-number--init-range::before,.ibk-calendar__day-number--end-range::before{content:'';position:absolute;height:100%;width:50%;background-color:#f7f7f7;z-index:-1}.ibk-calendar__day-number--init-range::before{right:0}.ibk-calendar__day-number--end-range::before{left:0}.ibk-calendar__day-number--shadow-in::after,.ibk-calendar__day-number--shadow-out::after{content:'';position:absolute;height:100%;width:100%;z-index:-1}.ibk-calendar__day-number--shadow-in::after,.ibk-calendar--range .ibk-calendar__day-number--shadow-in::after{background:linear-gradient(90deg, rgba(255,255,255,1) 50%, rgba(247,247,247,1) 100%);right:100%}.ibk-calendar__day-number--shadow-out::after,.ibk-calendar--range .ibk-calendar__day-number--shadow-out::after{background:linear-gradient(-90deg, rgba(255,255,255,1) 50%, rgba(247,247,247,1) 100%);left:100%}.ibk-calendar--full{width:100%}.ibk-calendar__day-number--over::before{content:'';position:absolute;height:100%;width:100%;background-color:#f7f7f7;z-index:-1}.ibk-calendar--open .ibk-calendar__arrow{transform:rotate(-180deg)}.ibk-calendar--error .ibk-calendar__selector{border-color:var(--extendedWatermelon1)}.ibk-calendar--error .ibk-calendar__icon{color:var(--extendedWatermelon1)}.ibk-calendar__error-message{font-family:var(--fontMontserrat);font-size:12px;color:var(--extendedWatermelon1);font-weight:500;margin-top:7px;display:block;min-height:15px}";

const IbkCalendar = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.onselect = index.createEvent(this, "onselect", 7);
    /** Define un placeholder en el selector */
    this.placeholder = 'dd/mm/aaaa';
    /** Define la cantidad de meses a mostrar en el selector */
    this.months = 1;
    /** Si la candidad de meses a mostrar es 2, define si se muestra el mes siguiente o anterior */
    this.showMonth = 'next';
    /** Define hacia que lado se abrirá el calendario */
    this.openTo = 'bottom-right';
    /** Define si se podrá seleccionar un rango de fechas */
    this.multiselect = false;
    /** El selector del calendario ocupará el 100% del espacio disponible */
    this.full = false;
    /** Se mostrará un mensaje de error */
    this.error = false;
    /** Cuando se encuentra dentro de un "ibk-form" al hacer submit si el calendario se encuentra vacío, mostrará un mensaje de error */
    this.required = false;
    /** Personaliza el mensaje de campo requerido */
    this.requiredMessage = 'Por favor selecciona una fecha';
    /** Define si el calendario no contará con manejo de errores. Se omitirá el espacio generado para el mensaje de error */
    this.noHandlingError = false;
    /** Determina si se está mostrando o no el calendario */
    this._showingDates = false;
    /** Fecha inicial a mostra en el calendario */
    this._currentDate = new Date();
    /** Almacena temporalmente el rango mientras se va seleccionando */
    this._tempRange = [];
    /** Configurar algunas opciones en base a las propiedades usadas */
    this.config = () => {
      if (this.multiselect) {
        this.selectedDate = undefined;
        this.placeholder = 'dd/mm/aaaa - dd/mm/aaaa';
        this._settedMultiselect = true;
      }
      else {
        this.selectedDates = undefined;
      }
      if (this.rangeSelector == '') {
        this.rangeSelector = 'none';
      }
      else {
        this.selectRange(null, this.rangeSelector);
      }
    };
    /** Evento al cambiar el tamaño de la pantalla */
    this.resizeWindow = () => {
      window.onresize = () => {
        this.getDatesPosition();
      };
    };
    /** Cierra el dropdown al hacer click fuera del mismo */
    this.bodyClick = () => {
      const body = document.querySelector('body');
      body.addEventListener('click', e => {
        const t = e.target;
        const closest = t.closest('.ibk-calendar');
        if (closest == null) {
          this._showingDates = false;
        }
      });
    };
    /** Define la fecha con el mes siguiente o anterior dependiendo del mes a mostrar */
    this.setOtherDate = () => {
      if (this.selectedDates != undefined) {
        this.host.setAttribute('show-month', 'prev');
      }
      if (this.months == 2) {
        if (this.showMonth == 'next') {
          this._otherDate = new Date(new Date().setMonth(new Date().getMonth() + 1));
        }
        else {
          this._otherDate = new Date(new Date().setMonth(new Date().getMonth() - 1));
        }
      }
    };
    /** Obtener la cantidad de dias que hay por mes */
    this.getDaysPerMonth = (month, year) => {
      let date = new Date(year, month + 1, 0);
      return date.getDate();
    };
    /** Obtener un arreglo por cada semana del mes que contiene los dias y sus estados */
    this.getWeeksPerMonth = (month, year) => {
      let weeks = new Array();
      let firstDay = new Date(year, month, 1).getDay();
      firstDay = firstDay == 0 ? 7 : firstDay;
      let days = new Date(year, month + 1, 0).getDate();
      let allDays = [];
      let day = 1;
      for (let i = 1; i < firstDay; i++) {
        allDays.push(0);
      }
      while (day <= days) {
        allDays.push(day);
        day++;
      }
      let tempWeek = new Array();
      Array.from(allDays, (day) => {
        let d = {};
        if (day != 0) {
          const tempDate = new Date(year, month, day);
          d.day = day;
          if (this.initialDate != undefined && tempDate < this.parseDate(this.initialDate) ||
            this.endDate != undefined && tempDate > this.parseDate(this.endDate)) {
            d.disabled = true;
          }
          else {
            d.disabled = false;
          }
          if (this.selectedDate != undefined && this.parseDate(this.selectedDate).getTime() == tempDate.getTime()) {
            d.selected = true;
          }
          else {
            d.selected = false;
          }
          if (this.selectedDates != undefined) {
            const splitted = this.selectedDates.split('-');
            if (this.parseDate(splitted[0]).getTime() == tempDate.getTime() || this.parseDate(splitted[1]).getTime() == tempDate.getTime()) {
              d.selected = true;
            }
            if (this.parseDate(splitted[0]).getTime() == tempDate.getTime()) {
              d.initRange = true;
            }
            if (this.parseDate(splitted[1]).getTime() == tempDate.getTime()) {
              d.endRange = true;
            }
            if (this.parseDate(splitted[0]) <= tempDate && this.parseDate(splitted[1]) >= tempDate) {
              d.range = true;
            }
          }
          if (this._tempRange.length == 1 && this._tempOverRange != undefined) {
            if (this._tempOverRange > this._tempRange[0].date && tempDate > this._tempRange[0].date && tempDate < this._tempOverRange) {
              d.over = true;
            }
            if (this._tempOverRange > this._tempRange[0].date && tempDate.getTime() == this._tempOverRange.getTime()) {
              d.endRange = true;
            }
          }
          if (this._tempOverRange == undefined && !this.multiselect) {
            d.range = false;
            d.initRange = false;
            d.endRange = false;
          }
        }
        tempWeek.push(d);
      });
      Array.from(tempWeek, (_, index) => {
        if (index % 7 == 0) {
          let sliced = tempWeek.slice(index, index + 7);
          if (sliced.length > 0) {
            weeks.push(sliced);
          }
        }
      });
      return weeks;
    };
    /** Retorna el nombre del mes basado en el índice */
    this.getMonthName = (month) => {
      const monthNames = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Setiembre', 'Octubre', 'Noviembre', 'Diciembre'];
      return monthNames[month];
    };
    /** Obtiene la fecha en formato "DD/MM/YYYY" y lo convierte a formato Date */
    this.parseDate = (date) => {
      const splitted = date.split('/');
      return new Date(parseInt(splitted[2]), parseInt(splitted[1]) - 1, parseInt(splitted[0]));
    };
    /** Arreglo que contiene los días del mes actual, además del mes anterior o posterior dependiendo del mes a mostrar */
    this.drawDates = () => {
      let dates = new Array();
      let currentMonth = {
        month: this._currentDate.getMonth(),
        year: this._currentDate.getFullYear(),
        weeks: this.getWeeksPerMonth(this._currentDate.getMonth(), this._currentDate.getFullYear()),
        days: this.getDaysPerMonth(this._currentDate.getMonth(), this._currentDate.getFullYear())
      };
      dates.push(currentMonth);
      if (this.months == 2) {
        let otherMonth = {
          month: this._otherDate.getMonth(),
          year: this._otherDate.getFullYear(),
          weeks: this.getWeeksPerMonth(this._otherDate.getMonth(), this._otherDate.getFullYear()),
          days: this.getDaysPerMonth(this._otherDate.getMonth(), this._otherDate.getFullYear())
        };
        if (this.showMonth == 'next') {
          dates.push(otherMonth);
        }
        else {
          dates.unshift(otherMonth);
        }
      }
      return dates;
    };
    /** Obtener la posición del selector para abrir las fechas en base a su posición */
    this.getDatesPosition = () => {
      const selector = this.host.querySelector('.ibk-calendar__selector');
      let position = { top: 'auto', right: 'auto', bottom: 'auto', left: 'auto' };
      if (this.openTo == 'bottom-right') {
        position.top = `${selector.offsetTop + selector.getBoundingClientRect().height - 1}px`;
        position.left = `${selector.offsetLeft}px`;
      }
      else if (this.openTo == 'bottom-left') {
        position.top = `${selector.offsetTop + selector.getBoundingClientRect().height - 1}px`;
        position.right = `${window.innerWidth - selector.getBoundingClientRect().width - selector.offsetLeft}px`;
      }
      else if (this.openTo == 'top-right') {
        position.bottom = `${window.innerHeight - selector.offsetTop - 1}px`;
        position.left = `${selector.offsetLeft}px`;
      }
      else if (this.openTo == 'top-left') {
        position.bottom = `${window.innerHeight - selector.offsetTop - 1}px`;
        position.right = `${window.innerWidth - selector.getBoundingClientRect().width - selector.offsetLeft}px`;
      }
      this._datesPosition = position;
    };
    /** Muestra u oculta el calendario */
    this.toggleDates = () => {
      this._showingDates = !this._showingDates;
      this.getDatesPosition();
    };
    /** Configura la clase del día basado en estados y modificadores */
    this.setContainerDayClass = (day, monthDays) => {
      var _a;
      return utils.modifiersToClass('ibk-calendar__day-number', [
        { disabled: (_a = day.disabled) !== null && _a !== void 0 ? _a : true },
        { selected: day.selected },
        { range: day.range },
        { 'init-range': day.initRange },
        { 'end-range': day.endRange },
        { 'shadow-in': day.day == 1 && day.range },
        { 'shadow-out': monthDays != undefined && day.day == monthDays && day.range },
        { over: day.over }
      ]);
    };
    /** Configura el valor del selector */
    this.setSelectorValue = () => {
      if (this.selectedDate) {
        return this.selectedDate;
      }
      else if (this.selectedDates) {
        return this.selectedDates.split('-').join(' - ');
      }
      else {
        return '';
      }
    };
    /** Recibe un formato Date y lo transforma a DD/MM/YYYY */
    this.parseDateToString = (date) => {
      const day = date.getDate().toString().length == 1 ? ('0' + date.getDate()) : date.getDate();
      const month = date.getMonth().toString().length == 1 ? ('0' + (date.getMonth() + 1)) : date.getMonth() + 1;
      return `${day}/${month}/${date.getFullYear()}`;
    };
    /** Función al seleccionar una fecha única o rango */
    this.selectDate = (e, year, month, day) => {
      let emit = {};
      const t = e.target;
      const otherSelected = this.host.querySelectorAll('.ibk-calendar__day-number--selected');
      const selectedDate = new Date(year, month, day);
      this.host.setAttribute('range-selector', 'none');
      if (this._settedMultiselect != undefined) {
        this.host.setAttribute('multiselect', '');
      }
      else {
        this.host.removeAttribute('multiselect');
        this._tempOverRange = null;
      }
      if (!this.multiselect || (this.multiselect && this._tempRange.length == 0)) {
        Array.from(otherSelected, (button) => button.classList.remove('ibk-calendar__day-number--selected'));
      }
      const rangeButton = this.host.querySelector('.ibk-calendar__range-selector__button--selected');
      if (rangeButton != undefined) {
        rangeButton.classList.remove('ibk-calendar__range-selector__button--selected');
      }
      if (!this.multiselect) {
        this.host.removeAttribute('error');
        t.classList.add('ibk-calendar__day-number--selected');
        emit.date = selectedDate,
          emit.parsedDate = this.parseDateToString(selectedDate);
        this.onselect.emit(emit);
        this.host.setAttribute('selected-date', this.parseDateToString(selectedDate));
        this.host.removeAttribute('selected-dates');
      }
      else {
        t.classList.add('ibk-calendar__day-number--selected');
        if (this._tempRange.length == 1 && this._tempRange[0].date >= selectedDate) {
          Array.from(otherSelected, (button) => button.classList.remove('ibk-calendar__day-number--selected'));
          this._tempRange = [];
        }
        emit.date = selectedDate;
        emit.parsedDate = this.parseDateToString(selectedDate);
        this._tempRange.push(emit);
        this.onselect.emit(this._tempRange);
        this.host.setAttribute('selected-dates', `${this.parseDateToString(this._tempRange[0].date)}-${this._tempRange[1] ? this.parseDateToString(this._tempRange[1].date) : ''}`);
        this.host.removeAttribute('selected-date');
        if (this._tempRange.length == 2) {
          this.host.removeAttribute('error');
          this._tempRange = [];
        }
      }
    };
    /** Cambia el calendario dependiendo de la flecha seleccionada */
    this.changeMonth = (to) => {
      this._currentDate.setDate(1);
      this.months == 2 && this._otherDate.setDate(1);
      if (to == 'next') {
        this._currentDate = new Date(this._currentDate.setMonth(this._currentDate.getMonth() + 1));
        this.months == 2 && (this._otherDate = new Date(this._otherDate.setMonth(this._otherDate.getMonth() + 1)));
      }
      else {
        this._currentDate = new Date(this._currentDate.setMonth(this._currentDate.getMonth() - 1));
        this.months == 2 && (this._otherDate = new Date(this._otherDate.setMonth(this._otherDate.getMonth() - 1)));
      }
    };
    /** Selecciona un rango entre dìa, semana y mes */
    this.selectRange = (e, choose) => {
      const otherRanges = this.host.querySelectorAll('.ibk-calendar__range-selector__button');
      Array.from(otherRanges, (button) => button.classList.remove('ibk-calendar__range-selector__button--selected'));
      if (e != null) {
        const t = e.target;
        t.classList.add('ibk-calendar__range-selector__button--selected');
      }
      if (choose == 'day') {
        this.host.removeAttribute('multiselect');
        this.host.removeAttribute('selected-dates');
        this.host.setAttribute('selected-date', this.parseDateToString(new Date()));
        this.host.setAttribute('range-selector', 'day');
        this.onselect.emit({
          date: new Date(),
          parsedDate: this.parseDateToString(new Date())
        });
      }
      else if (choose == 'week') {
        this.host.setAttribute('multiselect', '');
        this.host.removeAttribute('selected-date');
        this.host.setAttribute('selected-dates', `${this.parseDateToString(new Date(new Date().setDate(new Date().getDate() - 7)))}-${this.parseDateToString(new Date())}`);
        this.host.setAttribute('range-selector', 'week');
        this.onselect.emit([
          {
            date: new Date(new Date().setDate(new Date().getDate() - 7)),
            parsedDate: this.parseDateToString(new Date(new Date().setDate(new Date().getDate() - 7)))
          },
          {
            date: new Date(),
            parsedDate: this.parseDateToString(new Date())
          }
        ]);
      }
      else if (choose == 'month') {
        this.host.setAttribute('multiselect', '');
        this.host.removeAttribute('selected-date');
        this.host.setAttribute('selected-dates', `${this.parseDateToString(new Date(new Date().setMonth(new Date().getMonth() - 1)))}-${this.parseDateToString(new Date())}`);
        this.host.setAttribute('range-selector', 'month');
        this.onselect.emit([
          {
            date: new Date(new Date().setMonth(new Date().getMonth() - 1)),
            parsedDate: this.parseDateToString(new Date(new Date().setMonth(new Date().getMonth() - 1)))
          },
          {
            date: new Date(),
            parsedDate: this.parseDateToString(new Date())
          }
        ]);
      }
      this._currentDate = new Date();
      this.setOtherDate();
    };
    /** Hace efecto over sobre el botón del día y aplica un fondo cuando se esta seleccionando un rango de fechas */
    this.overDay = (year, month, day) => {
      if (this._tempRange.length == 1) {
        const overedDate = new Date(year, month, day);
        this._tempOverRange = overedDate;
      }
    };
    /** Detecta cuando el mouse deja de hacer over sobre el botón del día */
    this.leaveDay = (e) => {
      const related = e.relatedTarget;
      if (!related.classList.contains('ibk-calendar__day-number')) {
        this._tempOverRange = null;
      }
    };
  }
  componentDidLoad() {
    this.resizeWindow();
    this.bodyClick();
  }
  componentWillLoad() {
    this.config();
    this.setOtherDate();
  }
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass() {
    return utils.modifiersToClass('ibk-calendar', [
      { full: this.full },
      { range: this._tempRange.length == 1 },
      { open: this._showingDates },
      { error: this.error }
    ]);
  }
  render() {
    return (index.h("div", { class: this.containerClass() }, this.label && index.h("span", { class: "ibk-calendar__label" }, this.label), this.subtitle && index.h("span", { class: "ibk-calendar__subtitle" }, this.subtitle), index.h("div", { class: "ibk-calendar__selector", onClick: this.toggleDates }, index.h("i", { class: "ibk-calendar__icon icon-m-calendar" }), index.h("input", { class: "ibk-calendar__input", type: "text", readonly: true, value: this.setSelectorValue(), placeholder: this.placeholder }), index.h("i", { class: "ibk-calendar__arrow icon-xs-arrow-down" })), !this.noHandlingError && index.h("span", { class: "ibk-calendar__error-message" }, this.error && this.requiredMessage), this._showingDates &&
      index.h("div", { class: "ibk-calendar__dates", style: this._datesPosition }, (this.rangeSelector && this.months == 2) &&
        index.h("div", { class: "ibk-calendar__range-selector" }, index.h("button", { type: "button", onClick: (e) => this.selectRange(e, 'day'), class: 'ibk-calendar__range-selector__button' + (this.rangeSelector == 'day' ? ' ibk-calendar__range-selector__button--selected' : '') }, "D\u00EDa"), index.h("button", { type: "button", onClick: (e) => this.selectRange(e, 'week'), class: 'ibk-calendar__range-selector__button' + (this.rangeSelector == 'week' ? ' ibk-calendar__range-selector__button--selected' : '') }, "\u00DAltima semana"), index.h("button", { type: "button", onClick: (e) => this.selectRange(e, 'month'), class: 'ibk-calendar__range-selector__button' + (this.rangeSelector == 'month' ? ' ibk-calendar__range-selector__button--selected' : '') }, "\u00DAltimo mes")), index.h("div", { class: "ibk-calendar__months" }, Array.from(this.drawDates(), (date, index$1) => {
        return (index.h("div", { class: "ibk-calendar__month" }, index.h("p", { class: "ibk-calendar__month-name" }, (this.months == 2 && index$1 == 0 || this.months == 1) && index.h("i", { class: "ibk-calendar__month-arrow icon-xs-arrow-left", onClick: () => this.changeMonth('prev') }), this.getMonthName(date.month), " ", date.year, (this.months == 2 && index$1 == 1 || this.months == 1) && index.h("i", { class: "ibk-calendar__month-arrow icon-xs-arrow-right", onClick: () => this.changeMonth('next') })), index.h("div", { class: "ibk-calendar__days" }, index.h("span", { class: "ibk-calendar__day-name" }, "lu"), index.h("span", { class: "ibk-calendar__day-name" }, "ma"), index.h("span", { class: "ibk-calendar__day-name" }, "mi"), index.h("span", { class: "ibk-calendar__day-name" }, "ju"), index.h("span", { class: "ibk-calendar__day-name" }, "vi"), index.h("span", { class: "ibk-calendar__day-name" }, "s\u00E1"), index.h("span", { class: "ibk-calendar__day-name" }, "do")), Array.from(date.weeks, (week) => {
          return (index.h("div", { class: "ibk-calendar__days" }, Array.from(week, (day) => {
            return index.h("button", { type: "button", class: this.setContainerDayClass(day, date.days), onClick: (e) => this.selectDate(e, date.year, date.month, day.day), onMouseOver: () => this.overDay(date.year, date.month, day.day), onMouseLeave: this.leaveDay }, day.day);
          })));
        })));
      })))));
  }
  get host() { return index.getElement(this); }
};
IbkCalendar.style = calendarCss;

exports.ibk_calendar = IbkCalendar;
