export declare class IbkBadge {
  /** Referencia del web component */
  host: HTMLElement;
  /** <strong>Info: </strong> color azul<br>
   * <strong>Promo: </strong>color rojo
   */
  type: 'info' | 'promo';
  /** Texto a mostrar */
  text: string;
  /** Posición en la que se encuentra ubicado el badge */
  position: 'left' | 'right';
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass(): string;
  /** Le agrega el estilo position relative al contenedor del badge para posicionarlo correctamente */
  setPositionRelativeToParent: () => void;
  render(): any;
}
