import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkBreadcrumbItem {
  /** Hace referencia a la vista actual */
  current: boolean;
  /** Url a donde redirigirá */
  href: string;
  /** Texto que se mostrará en el item */
  text: string;
  /** El breadcrumb se mostrará con un fondo oscuro */
  negative: boolean;
  /** Emite el evento click */
  onclick: EventEmitter<any>;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass(): string;
  render(): any;
}
