import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkButtonInline {
  /** Contenido del botón */
  text: string;
  /** Ícono que describe la acción. Puede ir acompañado de un texto */
  icon: string;
  /** Posición del ícono si existiera */
  iconPosition: 'left' | 'right';
  /** Determina si le botón se encuentra deshabilitado */
  disable: boolean;
  /** Crea un enlace a la url especificada */
  href: string;
  /** Determina si el enlace se abre en una nueva ventana o en la misma */
  hrefTarget: '_self' | '_blank' | '_parent' | '_top';
  /** Emite el evento click */
  onclick: EventEmitter<any>;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  render(): any;
}
