import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkRadioGroup {
  /** Referencia del web component */
  host: HTMLElement;
  /** Texto de ayuda que indica de que trata el grupo de opciones */
  subtitle: string;
  /** Define si los radio se alinearán uno al lado de otro */
  inline: boolean;
  /** Error en el radio group */
  error: boolean;
  /** Cuando se encuentra dentro de un "ibk-form" al hacer submit si todos los radios se encuentra deseleccionados, mostrará un mensaje de error */
  required: boolean;
  /** Personaliza el mensaje de campo requerido */
  requiredMessage: string;
  /** Emite un evento con el detalle de cada radio seleccionado */
  onchange: EventEmitter<any>;
  componentDidLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  /** Escucha el evento al seleccionar algún radio dentro del gruppo */
  listenSlottedEvents: () => void;
  render(): any;
}
