import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkForm {
  /** Referencia del web component */
  host: HTMLElement;
  /** Emite un evento al hacer submit del formulario, envia un dato boolean en true cuando el formulario es válido y false cuando no lo es */
  onsubmit: EventEmitter<boolean>;
  /** Almacena los elementos dentro del formulario */
  private _formElements;
  componentDidLoad(): void;
  submitForm: (e: any) => void;
  render(): any;
}
