export declare class IbkTag {
  /** Texto que se mostrará en el tag */
  text: string;
  /** Ícono que se mostrará en el tag */
  icon: string;
  /** Define la posición del ícono a mostrar */
  iconPosition: 'left' | 'right';
  /** Define el color de fondo del tag */
  color: string;
  /** Define el color del texto */
  textColor: string;
  /** El tag solo usará el color en el borde */
  outline: boolean;
  /** Definir un ancho fijo para el tag */
  width: number;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  render(): any;
}
